<div class="container-fluid">
  <div class="row">
    <div class="col-12 mt-5">

      <h1 class="d-flex justify-content-center mb-5">Elèves</h1>

      <form (ngSubmit)="register()" class="form">
        <label for="name" >Prenom</label>
        <input type="text" name="name" id="name" [(ngModel)]="student.name" />
        

        <label for="age">Age</label>
        <input type="text" name="age" id="age" [(ngModel)]="student.age" />

        <label for="level">Niveau</label>
        <input
          type="text"
          name="level"
          id="level"
          [(ngModel)]="student.level"/>
        
        <div class="form-group">
          <label for="group">Groupe</label>
          <h6>Veuillez choisir un groupe</h6>
          <select class="form-control" id="group" (change)="handleSelect($event)" ([ngModel])="student.groups">
            
            <option *ngFor="let creationGroup of groups" [value]="creationGroup.id"> {{creationGroup.label}} </option>
          </select>
        </div>

        <button type="submit" class="btn border border-dark p-3 mt-4 mb-2">Enregistrer</button>

        {{message}}
      </form>
    </div>
  </div>
</div>
